package com.qianhe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 经验共享-类型维护对象 jygx_lxwh
 *
 * @author qianhe
 * @date 2024-07-29
 */
public class JygxLxwh extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long lxid;

    /** 维护类型 */
    @Excel(name = "维护类型")
    private String lxmc;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String mkmc;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setLxid(Long lxid)
    {
        this.lxid = lxid;
    }

    public Long getLxid()
    {
        return lxid;
    }
    public void setLxmc(String lxmc)
    {
        this.lxmc = lxmc;
    }

    public String getLxmc()
    {
        return lxmc;
    }
    public void setMkmc(String mkmc)
    {
        this.mkmc = mkmc;
    }

    public String getMkmc()
    {
        return mkmc;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("lxid", getLxid())
            .append("lxmc", getLxmc())
            .append("mkmc", getMkmc())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
